[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.Equals

Check if two trees are equal

## Declaration

Source position: avl_tree.pp line 130

`public function TAVLTree.Equals(`
`Obj: TObject`
`):Boolean; override;`

## Arguments

`Obj` |  | Object to compare

## Function result

True if the passed object is an equal tree.

## Description

Equals checks, when passed an TAVLTtree, whether the tree is equal (using TAvlTree.IsEqual, comparing keys only). If another type of object is passed, the inherited IsEqual is called.

## Errors

None.

## See also

TAvlTree.IsEqual |  | Check whether 2 tree instances are equal.